#! /bin/sh

main() {

##### 初期設定 #####
APACHE_DIR=apache2
CONF_DIR=conf

##### 引数取得 #####
SUB_NO=$1
SRC_DIR=$2
INSTALL_DIR=$3
CONF_1=$4
CONF_2=$5

##### 初期設定 #####
APACHE_HOME=${INSTALL_DIR}/${APACHE_DIR}/
SRC_DIR=${SRC_DIR}/

##### インストール #####
# sub番号により処理分岐
if [ "${SUB_NO}" = "1" ]; then
	echo ${CONF_1}を使用します。
	cp -pf ${SRC_DIR}${CONF_DIR}/${CONF_1} ${APACHE_HOME}${CONF_DIR}/httpd.conf
elif [ "${SUB_NO}" = "2" ]; then
	echo ${CONF_2}を使用します。
	cp -pf ${SRC_DIR}${CONF_DIR}/${CONF_2} ${APACHE_HOME}${CONF_DIR}/httpd.conf
else
	echo apache標準のhttpd.confを使用します。
fi

}
main $*
